Page MenuHomePhabricator

Top-to-bottom order of primary/prominent depicts values should change on publish
Closed, ResolvedPublicFeature

Description

User story: N/A

We have this:

When users make a depicts statement primary (soon to be "prominent"), when they hit the Publish button, the order of the statements doesn't change:

The order does change on refresh/revisiting the page though.

We want this:

When users change the primary/prominent value for a statement, the order of the values should change as soon as the Publish button is clicked (primary/prominent depict values

Screenshots (if possible):
see above

Acceptance Criteria:

  • After making primary/prominent changes, the order of the statements should change as soon as the Publish button is clicked, with values marked as primary/prominent listed first

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterOrder of depicts statements sorted by prominence on publish

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2019, 3:56 PM
Ramsey-WMF triaged this task as Medium priority.Mar 26 2019, 3:58 PM
Ramsey-WMF changed the subtype of this task from "Bug Report" to "Feature Request".
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 26 2019, 4:14 PM

@Ha78na , Mark suggested you might want to take a stab at this one :)

Ramsey-WMF updated the task description. (Show Details)Mar 26 2019, 5:28 PM
Ha78na claimed this task.Mar 26 2019, 5:53 PM
Ha78na moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.

Change 500512 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] Order of depicts statements sorted by prominence on publish

https://gerrit.wikimedia.org/r/500512

Change 500512 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Order of depicts statements sorted by prominence on publish

https://gerrit.wikimedia.org/r/500512

Ha78na removed Ha78na as the assignee of this task.Apr 3 2019, 4:01 PM
Ha78na updated the task description. (Show Details)
Ha78na assigned this task to Edtadros.Apr 4 2019, 2:14 PM
matthiasmullie added a subscriber: matthiasmullie.

Works on beta & test-commons!

Ramsey-WMF closed this task as Resolved.Apr 23 2019, 8:59 PM

Tested on production on 4/23 and works to spec.